package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/ExtractICollDataToContextAction.class */
public class ExtractICollDataToContextAction extends LifeAction {
    private String iCollName;

    public String execute(Context context) throws GENEException {
        try {
            IndexedCollection icoll = context.getDataElement(this.iCollName);
            if (icoll.size() == 0) {
                return "1";
            }
            KeyedCollection kcoll = icoll.getElementAt(0);
            for (String key : kcoll.keySet()) {
                context.put(key, kcoll.get(key));
            }
            icoll.remove(0);
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }
}
